#!/usr/bin/zsh
for f in src/*.cc; ./stat.sh $f &> logs/`basename $f`.txt
mv *.o obj
ls -lS obj | awk '{ print $5 " " $9 }' > object_sizes.txt
cp prefix.txt compilation_summary.txt
(for f in src/*.cc; echo $f && grep -A 4 -B 1 -e "---" -m 1 logs/`basename $f`.txt && grep -e headers -e real -e depends logs/`basename $f`.txt && echo) >> compilation_summary.txt
tar -zcf ../compilations.tar.gz . --exclude prefix.txt --exclude obj
scp ../compilations.tar.gz tomaszklak.pl:~/Developer/
rm ../compilations.tar.gz
ssh tomaszklak.pl 'tar xvzf Developer/compilations.tar.gz -C public_html/compilations' > /dev/null
ssh tomaszklak.pl 'rm Developer/compilations.tar.gz'
