#!/bin/sh
echo "Compiling $1"
headers_tried=$(strace -f -e open g++ $1 -c 2>&1 | grep 'open(' |  grep -e "\/usr\/include" -e '\.h"' -e '\.tcc"' -e '\.hpp"' | wc -l)
headers_openned=$(strace -f -e open g++ $1 -c 2>&1 | grep 'open(' | grep -e "\/usr\/include" -e '\.h"' -e '\.tcc"' -e '\.hpp"' | grep -v ENOENT | wc -l)
headers_deps=$(g++ $1 -M | grep -o "\/usr" | wc -l)
strace -cf -e '!wait4' time -p g++ -Os $1 -c
echo "tried to open ${headers_tried} headers"
echo "       opened ${headers_openned} headers"
echo "   depends on ${headers_deps} headers"
